3.6.1p2 problem on HP-UX 11.0

From: Marty Hoff (martang_at_clearcommerce.com)
Date: 08/07/03

  • Next message: Ezsra McDonald: "sshd(pam_unix)[32617]: authentication failure"
    Date: Thu, 7 Aug 2003 12:03:12 -0500 (CDT)
    To: secureshell@securityfocus.com
    
    

    I'm trying to compile OpenSSH 3.6.1p2 on HP-UX 11.0 and I get through
    the configuration portion just fine. However, when I go to compile, I
    get the following:

            (cd openbsd-compat && make)
            cc -L/usr/local/lib -L/usr/local/openssl/lib -I. -I.. -I. -I./..
    -I/usr/local/include -I/usr/local/openssl/include -D_HPUX_SOURCE
    -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED=1 -DHAVE_CONFIG_H -c
    bsd-arc4random.c
    cc: "../openbsd-compat/bsd-misc.h", line 72: error 1711: Inconsistent
    parameter list declaration for "utimes".
    *** Error exit code 1

    Clearly there is some problem with what it is expecting in the utimes
    call, but I don't know how to go about fixing it. Can anyone help
    me/point me in the right direction. I don't have this problem with
    compiling 3.4p1 which is the version I am running now. I need to move to
    3.6.1p2, though, so I can apply the password aging patch and turn on
    password aging on our systems.

    Thanks for any help,

    Marty

    --------------------------------------------
    Marty Hoff martang@clearcommerce.com
    UNIX Administrator ClearCommerce Corp.

    Always remember you're unique, just like everyone else.


  • Next message: Ezsra McDonald: "sshd(pam_unix)[32617]: authentication failure"